Skip to content

connections_external_data_list

GET
/api/connections/{connections_pk}/external_data
curl --request GET \
--url https://example.com/api/connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/external_data \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'

Retrieve a list of external data objects through the given connection.

connections_pk
required
string format: uuid

Connection ID

X-Workspace
required
string format: uuid

Workspace ID

ordering
string

Which field to use when ordering the results.

p
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

parent
string

Parent id to filter externalData.

search
string

A search term.

Media typeapplication/json
object
count
required
integer
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

Serialize external data attributes for representation.

object
id
required
string
name
required
string
size
required
object
key
additional properties
string
file_extension
required
string
type
required
string
icon
required
string
has_children
required
boolean

Example

{
"count": 123,
"next": "http://api.example.org/accounts/?p=4",
"previous": "http://api.example.org/accounts/?p=2"
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "plugin_error",
"message": "An error occurred in the plugin. Check the `details` property for more details.",
"details": [
{
"parameter": "connection",
"message": "Custom message from the plugin",
"code": "authentication_failed"
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "object_not_found",
"message": "Object not found. Check the `details` property for more details.",
"details": [
{
"parameter": "<id>",
"code": "does_not_exist",
"message": "\"<id>\" does not exist."
}
]
}